Bug 253394 - package installer exception during dependcy check
Summary: package installer exception during dependcy check
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 7
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 253373 253417 253436 253441 253669 253798 253974 253981 254083 254105 258201 259001 263101 268301 273061 275911 rajan 281761 283431 292491 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-18 21:03 UTC by Muhammad Ahmad
Modified: 2014-01-21 22:59 UTC (History)
20 users (show)

Fixed In Version: 3.2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 17:47:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Muhammad Ahmad 2007-08-18 21:03:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
Component: pirut
Summary: TB253c984a depsolve.py:574:_requiringFromTransaction:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/sbin/pup", line 409, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 734, in applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 493, in checkDeps
    (result, msgs) = self.buildTransaction()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 540, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 885, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep, prcoformat_need)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 334, in _processReq
    requirementTuple, errormsgs)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 469, in _requiringFromInstalled
    return self._requiringFromTransaction(reqpkg, requirement, errorlist)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 574, in _requiringFromTransaction
    reqpkg = self.tsInfo.matchNaevr(name=name, ver=version, rel=release)[0]
IndexError: list index out of range

Local variables in innermost frame:
requirement: ('perl(DCOP)', 0, '')
checkdeps: 0
needname: perl(DCOP)
pkg: kdebindings-dcopperl - 3.5.7-1.fc7.1.x86_64
missingdep: 0
self: <__main__.PackageUpdater object at 0xfaeb10>
tspkgs: []
dbpkgs: []
version: 3.5.7
msg: Potential resolving package kdebindings - 3.5.6-1.fc7.x86_64 has newer instance installed.
needflags: 0
needversion: 
dbpkg: kdebindings - 3.5.7-1.fc7.1.x86_64
errorlist: []
pkgmode: None
a: x86_64
e: 0
name: kdesdk
n: kdebindings-dcopperl
r: 1.fc7.1
v: 3.5.7
release: 7.fc7
requiringPkg: ('kdesdk', '3.5.7', '7.fc7', None)
tsState: None
provSack: <yum.packageSack.ListPackageSack object at 0x7e35410>


Version-Release number of selected component (if applicable):
 kdebindings - 3.5.7-1.fc7.1.x86_64

How reproducible:
Always


Steps to Reproduce:
1.Installing package updates,
2.
3.

Actual Results:
Component: pirut
Summary: TB253c984a depsolve.py:574:_requiringFromTransaction:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/sbin/pup", line 409, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 734, in applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 493, in checkDeps
    (result, msgs) = self.buildTransaction()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 540, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 885, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep, prcoformat_need)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 334, in _processReq
    requirementTuple, errormsgs)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 469, in _requiringFromInstalled
    return self._requiringFromTransaction(reqpkg, requirement, errorlist)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 574, in _requiringFromTransaction
    reqpkg = self.tsInfo.matchNaevr(name=name, ver=version, rel=release)[0]
IndexError: list index out of range

Local variables in innermost frame:
requirement: ('perl(DCOP)', 0, '')
checkdeps: 0
needname: perl(DCOP)
pkg: kdebindings-dcopperl - 3.5.7-1.fc7.1.x86_64
missingdep: 0
self: <__main__.PackageUpdater object at 0xfaeb10>
tspkgs: []
dbpkgs: []
version: 3.5.7
msg: Potential resolving package kdebindings - 3.5.6-1.fc7.x86_64 has newer instance installed.
needflags: 0
needversion: 
dbpkg: kdebindings - 3.5.7-1.fc7.1.x86_64
errorlist: []
pkgmode: None
a: x86_64
e: 0
name: kdesdk
n: kdebindings-dcopperl
r: 1.fc7.1
v: 3.5.7
release: 7.fc7
requiringPkg: ('kdesdk', '3.5.7', '7.fc7', None)
tsState: None
provSack: <yum.packageSack.ListPackageSack object at 0x7e35410>


Expected Results:


Additional info:

Comment 1 Jeremy Katz 2007-08-20 18:05:49 UTC
*** Bug 253436 has been marked as a duplicate of this bug. ***

Comment 2 Jeremy Katz 2007-08-20 18:05:59 UTC
*** Bug 253417 has been marked as a duplicate of this bug. ***

Comment 3 Jeremy Katz 2007-08-20 18:06:32 UTC
*** Bug 253441 has been marked as a duplicate of this bug. ***

Comment 4 Jeremy Katz 2007-08-20 18:10:19 UTC
What version of yum do you have installed?

Comment 5 Muhammad Ahmad 2007-08-21 04:23:07 UTC
I have whatever is the latest version.  I had recently installed Fedore Core 7 
and then updated ALL the packages.  

How can I check for the version of YUM?

Comment 6 Jeremy Katz 2007-08-21 14:21:17 UTC
*** Bug 253669 has been marked as a duplicate of this bug. ***

Comment 7 Jeremy Katz 2007-08-21 14:24:32 UTC
Run 'rpm -q yum'

Comment 8 Jeremy Katz 2007-08-23 15:20:39 UTC
*** Bug 253974 has been marked as a duplicate of this bug. ***

Comment 9 Jeremy Katz 2007-08-23 15:21:00 UTC
*** Bug 253981 has been marked as a duplicate of this bug. ***

Comment 10 Jeremy Katz 2007-08-24 13:49:45 UTC
*** Bug 254083 has been marked as a duplicate of this bug. ***

Comment 11 Jeremy Katz 2007-08-24 13:52:21 UTC
*** Bug 254105 has been marked as a duplicate of this bug. ***

Comment 12 Jeremy Katz 2007-08-24 20:14:47 UTC
*** Bug 253373 has been marked as a duplicate of this bug. ***

Comment 13 Jeremy Katz 2007-08-28 14:15:52 UTC
*** Bug 258201 has been marked as a duplicate of this bug. ***

Comment 14 Jeremy Katz 2007-08-28 14:16:12 UTC
*** Bug 259001 has been marked as a duplicate of this bug. ***

Comment 15 Jeremy Katz 2007-09-04 17:43:40 UTC
*** Bug 273061 has been marked as a duplicate of this bug. ***

Comment 16 Jeremy Katz 2007-09-04 17:47:23 UTC
This is fixed with yum 3.2.4

Comment 17 Jeremy Katz 2007-09-04 17:48:25 UTC
*** Bug 275911 has been marked as a duplicate of this bug. ***

Comment 18 duvin 2007-09-04 22:31:28 UTC
(In reply to comment #16)
> This is fixed with yum 3.2.4

I am running yum-3.2.2-1.fc7.  I haven't found the 3.2.4 release.  Can you point
it to me?

Thanks,
Dave Ramsey

Comment 19 Seth Vidal 2007-09-05 03:05:31 UTC
I was just pushed to updates-released - it should sync out to all the mirrors in
the next day or so.



Comment 20 duvin 2007-09-05 04:36:44 UTC
(In reply to comment #19)
> I was just pushed to updates-released - it should sync out to all the mirrors in
> the next day or so.
> 

Thanks.  I just received it this evening.   All is well.

Dave Ramsey



Comment 21 Jeremy Katz 2007-09-05 15:18:38 UTC
*** Bug 278551 has been marked as a duplicate of this bug. ***

Comment 22 Jeremy Katz 2007-09-07 14:58:56 UTC
*** Bug 281761 has been marked as a duplicate of this bug. ***

Comment 23 Jeremy Katz 2007-09-10 01:09:57 UTC
*** Bug 283431 has been marked as a duplicate of this bug. ***

Comment 24 Jeremy Katz 2007-09-13 19:12:27 UTC
*** Bug 263101 has been marked as a duplicate of this bug. ***

Comment 25 Jeremy Katz 2007-09-13 19:12:35 UTC
*** Bug 268301 has been marked as a duplicate of this bug. ***

Comment 26 Jonathan Gotthardt 2007-09-14 16:55:14 UTC
i am trying to update my packages however when resolving dependancies it stops
half way through and still keeps asking that a bug has occured and fill out a
detailed bug report which i have done yet the fault is still there. could you
point me in the right directuion?

Comment 27 Jeremy Katz 2007-09-17 23:56:34 UTC
*** Bug 292491 has been marked as a duplicate of this bug. ***

Comment 28 Jonathan Gotthardt 2007-09-24 14:22:04 UTC
i followed your advice however it still makes no difference i still can't update
my system. it doesn't matter how many updates i untick i still can't update
....i still don't know what to do...please help


Comment 29 Seth Vidal 2007-09-24 14:31:55 UTC
and you're using yum 3.2.4 or above?


Comment 30 Seth Vidal 2007-09-27 12:50:00 UTC
*** Bug 253798 has been marked as a duplicate of this bug. ***

Comment 31 Jonathan Gotthardt 2007-10-18 10:02:38 UTC
yes i am using yum, 2,3,4 / above....can't figure how still to do updates as now
i have over 100 to do and the list keeps getting bigger

Comment 32 Seth Vidal 2007-10-18 12:48:50 UTC
What error are you seeing when the update fails b/c I don't think it is the same
error as originally in this bug.



Note You need to log in before you can comment on or make changes to this bug.